Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_RTP_Object Class Reference

`#include <RTP.h>`

Inheritance diagram for TAO_AV_RTP_Object

[legend]
Collaboration diagram for TAO_AV_RTP_Object:

[legend]
List of all members.

## Public Methods
| TAO_AV_RTP_Object (TAO_AV_Callback *callback, TAO_AV_Transport *transport)
virtual | ~TAO_AV_RTP_Object (void)
virtual int | start (void)
| start/stop the flow.
virtual int | stop (void)
virtual int | handle_input (void)
virtual int | send_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info = 0)
| send a data frame.
virtual int | send_frame (const iovec *iov, int iovcnt, TAO_AV_frame_info *frame_info = 0)
| send a frame in iovecs.
virtual int | send_frame (const char*buf, size_t len)
virtual int | destroy (void)
virtual int | set_policies (const TAO_AV_PolicyList &policy_list)
| set/get policies.
virtual void | control_object (TAO_AV_Protocol_Object *object)
| end the stream.
## Protected Attributes
ACE_UINT16 | sequence_num_
int | format_
CORBA::ULong | ssrc_
TAO_AV_Protocol_Object* | control_object_
ACE_Message_Block | frame_
| Pre-allocated memory to receive the data...

## Constructor & Destructor Documentation

TAO_AV_RTP_Object::TAO_AV_RTP_Object ( | TAO_AV_Callback * callback,
| TAO_AV_Transport * transport )

TAO_AV_RTP_Object::~TAO_AV_RTP_Object ( | void )`[virtual]`

## Member Function Documentation

void TAO_AV_RTP_Object::control_object ( | TAO_AV_Protocol_Object * object )`[virtual]`

| end the stream. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::destroy ( | void )`[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::handle_input ( | void )`[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::send_frame ( | const char * buf,
| size_t len )`[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::send_frame ( | const iovec * iov,
| int iovcnt,
| TAO_AV_frame_info * frame_info = 0 )`[virtual]`

| send a frame in iovecs. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::send_frame ( | ACE_Message_Block * frame,
| TAO_AV_frame_info * frame_info = 0 )`[virtual]`

| send a data frame. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::set_policies ( | const TAO_AV_PolicyList & policy_list )`[virtual]`

| set/get policies. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::start ( | void )`[virtual]`

| start/stop the flow. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTP_Object::stop ( | void )`[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

## Member Data Documentation

TAO_AV_Protocol_Object * TAO_AV_RTP_Object::control_object_`[protected]`

int TAO_AV_RTP_Object::format_`[protected]`

ACE_Message_Block TAO_AV_RTP_Object::frame_`[protected]`

| Pre-allocated memory to receive the data...

ACE_UINT16 TAO_AV_RTP_Object::sequence_num_`[protected]`

CORBA::ULong TAO_AV_RTP_Object::ssrc_`[protected]`

The documentation for this class was generated from the following files:

- RTP.h
- RTP.cpp